%define languageenglazy Welsh
%define languagecode    cy
%define lc_ctype        cy_GB

%define upstream_version 20040425

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 12
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+
Group:          System/Internationalization
URL:            http://www.e-gymraeg.co.uk/
Source0:        http://www.e-gymraeg.co.uk/myspell/myspell.zip

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-cy
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} <= 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} <= 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
unzip PackWelsh.zip
unzip cy_GB.zip
chmod -x *
for i in README_cy_GB.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_cy_GB.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.20040425.1-12.mga4
+ Revision: 505529
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20040425.1-11.mga3
+ Revision: 353419
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20040425.1-10.mga3
+ Revision: 325189
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.20040425.1-9.mga2
+ Revision: 224583
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.20040425.1-8.mga2
+ Revision: 207666
- use better obsoleting of myspell

* Mon Jan 16 2012 kamil <kamil> 0.20040425.1-7.mga2
+ Revision: 196931
- adapt .spec for the current policy

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20040425.1-6.mga2
+ Revision: 68709
- imported package hunspell-cy


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20040425-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20040425-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolan McNamara <caolanm@redhat.com> - 0.20040425-4
- tidy spec

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20040425-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug 20 2007 Caolan McNamara <caolanm@redhat.com> - 0.20040425-2
- clarify license version
- track down canonical upstream source

* Thu Dec 07 2006 Caolan McNamara <caolanm@redhat.com> - 0.20040425-1
- initial version
